httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From traw...@apache.org
Subject svn commit: r921024 - in /httpd/site/trunk: docs/download.html xdocs/download.xml
Date Tue, 09 Mar 2010 18:07:21 GMT
Author: trawick
Date: Tue Mar  9 18:07:20 2010
New Revision: 921024

URL: http://svn.apache.org/viewvc?rev=921024&view=rev
Log:
as per Dan's comment, 2.3.5-alpha is not recommended over
all other releases; replace with some text from the 
announcement

zap some commentary about module compatibility, which is
covered already (no promise of forwards or backwards
compatibility)

Modified:
    httpd/site/trunk/docs/download.html
    httpd/site/trunk/xdocs/download.xml

Modified: httpd/site/trunk/docs/download.html
URL: http://svn.apache.org/viewvc/httpd/site/trunk/docs/download.html?rev=921024&r1=921023&r2=921024&view=diff
==============================================================================
--- httpd/site/trunk/docs/download.html [utf-8] (original)
+++ httpd/site/trunk/docs/download.html [utf-8] Tue Mar  9 18:07:20 2010
@@ -148,7 +148,7 @@ by the project, and is recommended over 
    <a href="[preferred]/httpd/CHANGES_2.2.15">CHANGES_2.2.15</a> lists</p>
 <p>Add-in modules for Apache 1.3 or 2.0 are not compatible with Apache 2.2.
    If you are running third party add-in modules, you must obtain modules
-   compilied or updated for Apache 2.2 from that third party, before you
+   compiled or updated for Apache 2.2 from that third party, before you
    attempt to upgrade from these previous versions.  Modules compiled
    for Apache 2.2 should continue to work for all 2.2.x releases.</p>
 <ul>
@@ -210,16 +210,14 @@ by the project, and is recommended over 
  <tr><td colspan="2">
   <blockquote>
 <p>The Apache HTTP Server Project is pleased to announce the release of Apache
-HTTP Server, version 2.3.5-alpha.  This release represents ten years of innovation
-by the project, and is recommended over all previous releases!
+   HTTP Server, version 2.3.5-alpha.  This version of httpd is principally an
+   alpha release to test new technology and features that are incompatible or 
+   too large for the stable 2.2.x branch.  This alpha release should not be 
+   presumed to be compatible with binaries built against any prior or future
+   version.
 </p>
 <p>For details see the <a href="http://www.apache.org/dist/httpd/Announcement2.3.txt">Official
    Announcement</a> and the <a href="[preferred]/httpd/CHANGES_2.3">CHANGES_2.3</a>
lists</p>
-<p>Add-in modules for Apache 1.3 or 2.0 are not compatible with Apache 2.2.
-   If you are running third party add-in modules, you must obtain modules
-   compilied or updated for Apache 2.2 from that third party, before you
-   attempt to upgrade from these previous versions.  Modules compiled
-   for Apache 2.2 should continue to work for all 2.2.x releases.</p>
 <ul>
 
 <li>Unix Source:

Modified: httpd/site/trunk/xdocs/download.xml
URL: http://svn.apache.org/viewvc/httpd/site/trunk/xdocs/download.xml?rev=921024&r1=921023&r2=921024&view=diff
==============================================================================
--- httpd/site/trunk/xdocs/download.xml [utf-8] (original)
+++ httpd/site/trunk/xdocs/download.xml [utf-8] Tue Mar  9 18:07:20 2010
@@ -77,7 +77,7 @@ by the project, and is recommended over 
 
 <p>Add-in modules for Apache 1.3 or 2.0 are not compatible with Apache 2.2.
    If you are running third party add-in modules, you must obtain modules
-   compilied or updated for Apache 2.2 from that third party, before you
+   compiled or updated for Apache 2.2 from that third party, before you
    attempt to upgrade from these previous versions.  Modules compiled
    for Apache 2.2 should continue to work for all 2.2.x releases.</p>
 
@@ -130,8 +130,11 @@ by the project, and is recommended over 
 <section id="apache23" date="2010-01-28"><title>Apache HTTP Server 2.3.5-alpha</title>
 
 <p>The Apache HTTP Server Project is pleased to announce the release of Apache
-HTTP Server, version 2.3.5-alpha.  This release represents ten years of innovation
-by the project, and is recommended over all previous releases!
+   HTTP Server, version 2.3.5-alpha.  This version of httpd is principally an
+   alpha release to test new technology and features that are incompatible or 
+   too large for the stable 2.2.x branch.  This alpha release should not be 
+   presumed to be compatible with binaries built against any prior or future
+   version.
 </p>
 
 <p>For details see the <a
@@ -139,12 +142,6 @@ by the project, and is recommended over 
    Announcement</a> and the <a
    href="[preferred]/httpd/CHANGES_2.3">CHANGES_2.3</a> lists</p>
 
-<p>Add-in modules for Apache 1.3 or 2.0 are not compatible with Apache 2.2.
-   If you are running third party add-in modules, you must obtain modules
-   compilied or updated for Apache 2.2 from that third party, before you
-   attempt to upgrade from these previous versions.  Modules compiled
-   for Apache 2.2 should continue to work for all 2.2.x releases.</p>
-
 <ul>
 
 <li>Unix Source:



Mime
View raw message